Constant
Contact
API Guide
Technology Partner WebhooksGet all Partner Webhooks

Get all Partner Webhooks

Make a GET call to the partner/webhooks/subscriptions endpoint to get a list of webhook subscriptions for your application.

JSON Schema

The following describes the JSON schema that is returned in the response body:

  • topic_id: The ID that identifies the type of topic. Supported types include:

    • 1: Billing Tier Upgrade
    • 2: Bill Tier Downgrade
    • 3: Account Cancelled
    • 4: Account Disabled
  • hook_uri: The webhook callback URI that Constant Contact uses to notify you about a topic. The URI must begin with https:// and be no more than 512 characters in length.

    For example: https://www.examplename.com/webhooks/billingTier

  • topic_name: The name of the topic.

    For example: Billing Tier Downgrade

  • topic_description: Describes the topic and when to expect to be notified.

    For example: Executes when an accounts's billing tier is downgraded.

Example GET all Webhooks Request

GET
https://api.cc.email/v3/partner/webhooks/subscriptions

OkHttpClient client = new OkHttpClient().newBuilder()
  .build();
Request request = new Request.Builder()
  .url("https://api.cc.email/v3/partner/webhooks/subscriptions")
  .method("GET", null)
  .addHeader("x-api-key", "40a0b12-342b-436d-97c3-000000000000")
  .addHeader("Authorization", "{access_token}")
  .addHeader("Content-Type", "application/json")
  .build();
Response response = client.newCall(request).execute();```

JSON Response

[
    {
        "topic_id": 1,
        "hook_uri": "https://my.host.com/mywebhook",
        "topic_name": "Billing Tier Upgrade",
        "topic_description": "Executes when an account's billing tier is upgraded"
    },
    {
        "topic_id": 2,
        "hook_uri": "https://my.host.com/mywebhook",
        "topic_name": "Billing Tier Downgrade",
        "topic_description": "Executes when an account's billing tier is downgraded"
    },
    {
        "topic_id": 3,
        "hook_uri": "https://my.host.com/mywebhook",
        "topic_name": "Account Cancelled",
        "topic_description": "Executes when an account is cancelled"
    }
]
View it!

Although technology partner endpoints cannot be tested using our API Reference Tester, response samples and schema are available to view for this endpoint.

On this page